# NAME

gdir_server - A stand-alone server program to provide a directory service of GPhys

# SYNOPSIS

    % gdir_server top_dir [[host:]port] [-a allowed_address]..

# DESCRIPTION

A stand-alone server program to provide a directory service of GPhys objects by using GDir.

# OPTION

#### top_dir:

  can be ".", "/", or whatever directory in your files system.

#### host:

  host address (name or ip) -- use it if you want to specify explicitly, such as "localhost", which is useful for ssh port forwarding.

#### port:

  the port number you want to assign (internally determined if not specified). A complete URI is printed if the server is started.

#### -a:

  limits accesses from remote hosts only to the ones specified. Can be repeated multiple times. (Need the space between '-a' and the rest)

      % gdir_server . 12345
      % gdir_server . localhost:12345 -a all
      % gdir_server . -a hoge.hero.org -a localhost
      % gdir_server . 12345 -a '192.168.1.*' -a localhost